linux: 2.6.32-62.125 -proposed tracker

Bug #1328140 reported by Brad Figg on 2014-06-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-ports-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-62.125 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 09. June 2014 14:47 UTC
kernel-stable-Prepare-package-end:Monday, 09. June 2014 22:03 UTC
kernel-stable-Promote-to-proposed-start:Monday, 09. June 2014 22:03 UTC
ppa-package-testing-start:Monday, 09. June 2014 23:00 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 10. June 2014 01:00 UTC
kernel-stable-Verification-testing-start:Tuesday, 10. June 2014 02:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 10. June 2014 02:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 10. June 2014 02:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 10. June 2014 02:01 UTC
kernel-stable-Certification-testing-end:Thursday, 12. June 2014 20:00 UTC
kernel-stable-Verification-testing-end:Monday, 16. June 2014 16:42 UTC
kernel-stable-Regression-testing-end:Monday, 16. June 2014 16:42 UTC
kernel-stable-Promote-to-updates-start:Thursday, 19. June 2014 16:31 UTC
kernel-stable-Security-signoff-end:Thursday, 19. June 2014 16:31 UTC
kernel-stable-Promote-to-updates-end:Friday, 20. June 2014 13:49 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 20. June 2014 16:40 UTC

CVE References

Brad Figg (brad-figg) on 2014-06-09
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1328287

description: updated
Brad Figg (brad-figg) on 2014-06-09
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-06-10
description: updated
Brad Figg (brad-figg) on 2014-06-10
description: updated
Po-Hsu Lin (cypressyew) wrote :

The Hardware Certification team have begun testing this -proposed kernel.

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-06-12
description: updated
Para Siva (psivaa) on 2014-06-15
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-06-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-06-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-62.125

---------------
linux (2.6.32-62.125) lucid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1328140

  [ John Johansen ]

  * SAUCE: (no-up) Fix regression introduced by patch, for CVE-2014-3153
    - LP: #1327300

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf

  [ Upstream Kernel Changes ]

  * filter: prevent nla extensions to peek beyond the end of the message
    - LP: #1319561, #1319563
    - CVE-2014-3145
 -- Brad Figg <email address hidden> Mon, 09 Jun 2014 07:11:00 -0700

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The verification of the Stable Release Update for linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2014-06-20
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers